Index: XIOS/dev/branch_openmp/extern/src_ep_dev/ep_declaration.cpp
===================================================================
--- XIOS/dev/branch_openmp/extern/src_ep_dev/ep_declaration.cpp	(revision 1520)
+++ XIOS/dev/branch_openmp/extern/src_ep_dev/ep_declaration.cpp	(revision 1642)
@@ -4,16 +4,16 @@
 
 ::MPI_Comm MPI_COMM_WORLD_STD = MPI_COMM_WORLD;
-#undef MPI_COMM_WORLD
+//#undef MPI_COMM_WORLD
 
 
 ::MPI_Comm MPI_COMM_NULL_STD = MPI_COMM_NULL;
-#undef MPI_COMM_NULL
+//#undef MPI_COMM_NULL
 
 
 ::MPI_Request MPI_REQUEST_NULL_STD = MPI_REQUEST_NULL;
-#undef MPI_REQUEST_NULL
+//#undef MPI_REQUEST_NULL
 
 ::MPI_Info MPI_INFO_NULL_STD = MPI_INFO_NULL;
-#undef MPI_INFO_NULL
+//#undef MPI_INFO_NULL
 
 ::MPI_Datatype MPI_INT_STD = MPI_INT;
@@ -26,5 +26,6 @@
 ::MPI_Datatype MPI_UINT64_T_STD = MPI_UINT64_T;
 ::MPI_Datatype MPI_LONG_LONG_INT_STD = MPI_LONG_LONG_INT;
-
+::MPI_Datatype MPI_LONG_LONG_STD = MPI_LONG_LONG;
+/*
 #undef MPI_INT
 #undef MPI_FLOAT
@@ -36,5 +37,5 @@
 #undef MPI_UINT64_T
 #undef MPI_LONG_LONG_INT
-
+*/
 
 ::MPI_Op MPI_SUM_STD = MPI_SUM;
@@ -43,5 +44,5 @@
 ::MPI_Op MPI_LOR_STD = MPI_LOR;
 ::MPI_Op MPI_REPLACE_STD = MPI_REPLACE;
-
+/*
 #undef MPI_SUM
 #undef MPI_MAX
@@ -49,5 +50,5 @@
 #undef MPI_LOR
 #undef MPI_REPLACE
-
+*/
 
 // _STD defined in ep_type.cpp
@@ -62,4 +63,6 @@
 extern ::MPI_Datatype MPI_UINT64_T_STD;
 extern ::MPI_Datatype MPI_LONG_LONG_INT_STD;
+extern ::MPI_Datatype MPI_LONG_LONG_STD;
+
 
 
@@ -77,35 +80,37 @@
 extern ::MPI_Info MPI_INFO_NULL_STD;
 
-ep_lib::MPI_Datatype MPI_INT = &MPI_INT_STD;
-ep_lib::MPI_Datatype MPI_FLOAT = &MPI_FLOAT_STD;
-ep_lib::MPI_Datatype MPI_DOUBLE = &MPI_DOUBLE_STD;
-ep_lib::MPI_Datatype MPI_CHAR = &MPI_CHAR_STD;
-ep_lib::MPI_Datatype MPI_LONG = &MPI_LONG_STD;
-ep_lib::MPI_Datatype MPI_UNSIGNED_LONG = &MPI_UNSIGNED_LONG_STD;
-ep_lib::MPI_Datatype MPI_UNSIGNED_CHAR = &MPI_UNSIGNED_CHAR_STD;
-ep_lib::MPI_Datatype MPI_UINT64_T = &MPI_UINT64_T_STD;
-ep_lib::MPI_Datatype MPI_LONG_LONG_INT = &MPI_LONG_LONG_INT_STD;
-
-
-ep_lib::MPI_Op MPI_SUM = &MPI_SUM_STD;
-ep_lib::MPI_Op MPI_MAX = &MPI_MAX_STD;
-ep_lib::MPI_Op MPI_MIN = &MPI_MIN_STD;
-ep_lib::MPI_Op MPI_LOR = &MPI_LOR_STD;
-ep_lib::MPI_Op MPI_REPLACE = &MPI_REPLACE_STD;
-
-ep_lib::ep_comm EP_COMM_WORLD(&MPI_COMM_WORLD_STD);
-ep_lib::ep_comm EP_COMM_NULL(&MPI_COMM_NULL_STD);
-
-ep_lib::MPI_Comm MPI_COMM_WORLD = &EP_COMM_WORLD;
-ep_lib::MPI_Comm MPI_COMM_NULL = &EP_COMM_NULL;
-
-//ep_lib::ep_status EP_STATUS_IGNORE(&MPI_STATUS_IGNORE_STD);
-ep_lib::ep_request EP_REQUEST_NULL(&MPI_REQUEST_NULL_STD);
-ep_lib::ep_info EP_INFO_NULL(&MPI_INFO_NULL_STD);
-
-//ep_lib::MPI_Status MPI_STATUS_IGNORE = &EP_STATUS_IGNORE;
-ep_lib::MPI_Request MPI_REQUEST_NULL = &EP_REQUEST_NULL;
-ep_lib::MPI_Info MPI_INFO_NULL = &EP_INFO_NULL;
+ep_lib::MPI_Datatype EP_INT = &MPI_INT_STD;
+ep_lib::MPI_Datatype EP_FLOAT = &MPI_FLOAT_STD;
+ep_lib::MPI_Datatype EP_DOUBLE = &MPI_DOUBLE_STD;
+ep_lib::MPI_Datatype EP_CHAR = &MPI_CHAR_STD;
+ep_lib::MPI_Datatype EP_LONG = &MPI_LONG_STD;
+ep_lib::MPI_Datatype EP_UNSIGNED_LONG = &MPI_UNSIGNED_LONG_STD;
+ep_lib::MPI_Datatype EP_UNSIGNED_CHAR = &MPI_UNSIGNED_CHAR_STD;
+ep_lib::MPI_Datatype EP_UINT64_T = &MPI_UINT64_T_STD;
+ep_lib::MPI_Datatype EP_LONG_LONG_INT = &MPI_LONG_LONG_INT_STD;
+ep_lib::MPI_Datatype EP_LONG_LONG = &MPI_LONG_LONG_STD;
 
 
 
+ep_lib::MPI_Op EP_SUM = &MPI_SUM_STD;
+ep_lib::MPI_Op EP_MAX = &MPI_MAX_STD;
+ep_lib::MPI_Op EP_MIN = &MPI_MIN_STD;
+ep_lib::MPI_Op EP_LOR = &MPI_LOR_STD;
+ep_lib::MPI_Op EP_REPLACE = &MPI_REPLACE_STD;
+
+ep_lib::ep_comm EP_COMM_WORLD_t(&MPI_COMM_WORLD_STD);
+ep_lib::ep_comm EP_COMM_NULL_t(&MPI_COMM_NULL_STD);
+
+ep_lib::MPI_Comm EP_COMM_WORLD = &EP_COMM_WORLD_t;
+ep_lib::MPI_Comm EP_COMM_NULL = &EP_COMM_NULL_t;
+
+//ep_lib::ep_status EP_STATUS_IGNORE(&MPI_STATUS_IGNORE_STD);
+ep_lib::ep_request EP_REQUEST_NULL_t(&MPI_REQUEST_NULL_STD);
+ep_lib::ep_info EP_INFO_NULL_t(&MPI_INFO_NULL_STD);
+
+//ep_lib::MPI_Status MPI_STATUS_IGNORE = &EP_STATUS_IGNORE;
+ep_lib::MPI_Request EP_REQUEST_NULL = &EP_REQUEST_NULL_t;
+ep_lib::MPI_Info EP_INFO_NULL = &EP_INFO_NULL_t;
+
+
+
